Trade Book
List of Trades of the account
Request to be POSTed to uri : /NorenWClientAPI/TradeBook
Request Details :
| Json Fields | Possible value | Description |
|---|---|---|
| jData* | Should send json object with fields in below list |
| Json Fields | Possible value | Description |
|---|---|---|
| uid* | Logged in User Id | |
| actid* | Account Id of logged in user |
Example:
curl --location 'https://api.kambala.co.in/NorenWClientAPI/TradeBook' \
--header 'Content-Type: text/plain' \
--header 'Authorization: Bearer 14f48b1dea3e8d07f9dcb3308848f989497223e055147cb9aaf3892a2e292dbb' \
--data 'jData={"uid":"DEMO", "actid":"DEMO"}'
Response Details :
Response data will be in json Array of objects with below fields in case of success.
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Ok or Not_Ok | Order book success or failure indication. |
| norenordno | Noren Order Number | |
| uid | Logged in User Id | |
| actid | Login users account ID | |
| exch | Exchange Segment | |
| prctyp | LMT | Price type |
| ret | DAY / IOC / EOS | Order validity |
| s_prdt_ali | Product display name | |
| prd | Display product alias name, using prarr returned in user details. | |
| flid | Fill ID | |
| fltm | Fill Time | |
| trantype | B / S | Transaction type of the order |
| tsym | Trading symbol / contract on which order is placed. | |
| qty | Order Quantity | |
| token | Token | |
| fillshares | Total Traded Quantity of this order | |
| flqty | Fill Qty | |
| mult | Multiplier | |
| pp | Price precision | |
| ls | Lot size | |
| ti | Tick size | |
| prc | Order Price | |
| prcftr | Contract price factor (GNPN)/(GDPD), (used for order value calculation) | |
| flprc | Fill Price | |
| norentm | Noren time stamp | |
| avgprc | Average trade price of total traded quantity | |
| exch_tm | Exchange update time Format: dd-mm-YYYY hh:MM:SS | |
| remarks | Any message Entered during order entry. | |
| exchordid | Exchange Order Number | |
| cstFrm | Custom Firm | |
| ordersource | Order Source | |
| snoordt | 0 for profit leg and 1 for stoploss leg | |
| snonum | This field will be present for product H and B; and only if it is profit/sl order. |
Response data will be in json format with below fields in case of failure:
| Json Fields | Possible value | Description |
|---|---|---|
| stat | Not_Ok | Order book failure indication. |
| request_time | Response received time. | |
| emsg | Error message |
Sample Success Response :
[
[
{
"stat": "Ok",
"norenordno": "26011500000656",
"uid": "DEMO",
"actid": "DEMO",
"exch": "NSE",
"prctyp": "LMT",
"ret": "DAY",
"s_prdt_ali": "NRML",
"prd": "M",
"flid": "180",
"fltm": "15-01-2026 15:53:32",
"trantype": "B",
"tsym": "EDELWEISS-EQ",
"qty": "1",
"token": "15119",
"fillshares": "1",
"flqty": "1",
"mult": "1",
"pp": "2",
"ls": "1",
"ti": "0.01",
"prc": "120.00",
"prcftr": "1.000000",
"flprc": "120.00",
"norentm": "15:53:32 15-01-2026",
"avgprc": "120.00",
"exch_tm": "15-01-2026 15:53:32",
"remarks": "",
"exchordid": "178"
}
]
]
Sample Failed Response :
{
"stat": "Not_Ok",
"emsg": "Session Expired : Invalid Session Key"
}